Index: src/southbridge/via/vt8237r/vt8237r_early_smbus.c
===================================================================
--- src/southbridge/via/vt8237r/vt8237r_early_smbus.c	(revision 3942)
+++ src/southbridge/via/vt8237r/vt8237r_early_smbus.c	(working copy)
@@ -39,17 +39,17 @@
 		return;
 
 	if (loops >= SMBUS_TIMEOUT)
-		print_err("SMBus timeout\r\n");
+		print_err("SMBus timeout\n");
 	if (host_status & (1 << 4))
-		print_err("Interrupt/SMI# was Failed Bus Transaction\r\n");
+		print_err("Interrupt/SMI# was Failed Bus Transaction\n");
 	if (host_status & (1 << 3))
-		print_err("Bus error\r\n");
+		print_err("Bus error\n");
 	if (host_status & (1 << 2))
-		print_err("Device error\r\n");
+		print_err("Device error\n");
 	if (host_status & (1 << 1))
-		print_debug("Interrupt/SMI# completed successfully\r\n");
+		print_debug("Interrupt/SMI# completed successfully\n");
 	if (host_status & (1 << 0))
-		print_err("Host busy\r\n");
+		print_err("Host busy\n");
 }
 
 /**
@@ -59,7 +59,7 @@
 {
 	int loops;
 
-	PRINT_DEBUG("Waiting until SMBus ready\r\n");
+	PRINT_DEBUG("Waiting until SMBus ready\n");
 
 	loops = 0;
 	/* Yes, this is a mess, but it's the easiest way to do it. */
@@ -81,7 +81,7 @@
 
 	PRINT_DEBUG("After reset status: ");
 	PRINT_DEBUG_HEX16(inb(SMBHSTSTAT));
-	PRINT_DEBUG("\r\n");
+	PRINT_DEBUG("\n");
 }
 
 /**
@@ -98,7 +98,7 @@
 	PRINT_DEBUG_HEX16(dimm);
 	PRINT_DEBUG(" OFFSET ");
 	PRINT_DEBUG_HEX16(offset);
-	PRINT_DEBUG("\r\n");
+	PRINT_DEBUG("\n");
 
 	smbus_reset();
 
@@ -121,7 +121,7 @@
 	val = inb(SMBHSTDAT0);
 	PRINT_DEBUG("Read: ");
 	PRINT_DEBUG_HEX16(val);
-	PRINT_DEBUG("\r\n");
+	PRINT_DEBUG("\n");
 
 	/* Probably don't have to do this, but it can't hurt. */
 	smbus_reset();
@@ -144,7 +144,7 @@
 		dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_VIA,
 					PCI_DEVICE_ID_VIA_VT8237S_LPC), 0);
 		if (dev == PCI_DEV_INVALID)
-			die("Power management controller not found\r\n");
+			die("Power management controller not found\n");
 	}
 
 	/*
@@ -189,7 +189,7 @@
 
 	ram_slots = ARRAY_SIZE(ctrl->channel0);
 	if (!ram_slots) {
-		print_err("smbus_fixup() thinks there are no RAM slots!\r\n");
+		print_err("smbus_fixup() thinks there are no RAM slots!\n");
 		return;
 	}
 
@@ -213,9 +213,9 @@
 	}
 
 	if (i >= SMBUS_TIMEOUT)
-		print_err("SMBus timed out while warming up\r\n");
+		print_err("SMBus timed out while warming up\n");
 	else
-		PRINT_DEBUG("Done\r\n");
+		PRINT_DEBUG("Done\n");
 }
 
 /* FIXME: Better separate the NB and SB, will be done once it works. */
@@ -306,7 +306,7 @@
 				       PCI_DEVICE_ID_VIA_VT8237S_LPC), 0);
 
 	if (dev == PCI_DEV_INVALID)
-		die("SB not found\r\n");
+		die("SB not found\n");
 
 	/* Put SPI base 20 d0 fe. */
 	tmp = pci_read_config32(dev, 0xbc);
Index: src/southbridge/via/vt8231/vt8231_early_serial.c
===================================================================
--- src/southbridge/via/vt8231/vt8231_early_serial.c	(revision 3942)
+++ src/southbridge/via/vt8231/vt8231_early_serial.c	(working copy)
@@ -39,7 +39,7 @@
 	
 	if (dev == PCI_DEV_INVALID) {
 		outb(7, 0x80);
-		die("Serial controller not found\r\n");
+		die("Serial controller not found\n");
 	}
 	
 	/* first, you have to enable the superio and superio config. 
Index: src/southbridge/via/vt8231/vt8231_early_smbus.c
===================================================================
--- src/southbridge/via/vt8231/vt8231_early_smbus.c	(revision 3942)
+++ src/southbridge/via/vt8231/vt8231_early_smbus.c	(working copy)
@@ -30,7 +30,7 @@
 	dev = pci_locate_device(PCI_ID(0x1106, 0x8235), 0);
 
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}
 	// set IO base address to SMBUS_IO_BASE
 	pci_write_config32(dev, 0x90, SMBUS_IO_BASE | 1);
@@ -47,9 +47,9 @@
 	c |= 1;
 	pci_write_config8(dev, 4, c);
 	print_debug_hex8(c);
-	print_debug(" is the comm register\r\n");
+	print_debug(" is the comm register\n");
 
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 }
 
 
@@ -117,7 +117,7 @@
 	smbus_wait_until_ready();
 	print_debug("After reset status ");
 	print_debug_hex8(inb(SMBUS_IO_BASE + SMBHSTSTAT));
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void smbus_print_error(unsigned char host_status_register)
@@ -125,21 +125,21 @@
 
 	print_err("smbus_error: ");
 	print_err_hex8(host_status_register);
-	print_err("\r\n");
+	print_err("\n");
 	if (host_status_register & (1 << 4)) {
-		print_err("Interrup/SMI# was Failed Bus Transaction\r\n");
+		print_err("Interrup/SMI# was Failed Bus Transaction\n");
 	}
 	if (host_status_register & (1 << 3)) {
-		print_err("Bus Error\r\n");
+		print_err("Bus Error\n");
 	}
 	if (host_status_register & (1 << 2)) {
-		print_err("Device Error\r\n");
+		print_err("Device Error\n");
 	}
 	if (host_status_register & (1 << 1)) {
-		print_err("Interrupt/SMI# was Successful Completion\r\n");
+		print_err("Interrupt/SMI# was Successful Completion\n");
 	}
 	if (host_status_register & (1 << 0)) {
-		print_err("Host Busy\r\n");
+		print_err("Host Busy\n");
 	}
 }
 
Index: src/southbridge/via/vt82c686/vt82c686_early_serial.c
===================================================================
--- src/southbridge/via/vt82c686/vt82c686_early_serial.c	(revision 3942)
+++ src/southbridge/via/vt82c686/vt82c686_early_serial.c	(working copy)
@@ -65,7 +65,7 @@
 	if (sbdev == PCI_DEV_INVALID) {
 		/* Serial output is not yet working at this point, but
 		 * die() emits the POST code 0xff and halts the CPU, too. */
-		die("Southbridge not found.\r\n");
+		die("Southbridge not found.\n");
 	}
 
 	/* Enable Super-I/O (bit 0) and Super-I/O Configuration (bit 1). */
Index: src/southbridge/via/vt8235/vt8235_early_smbus.c
===================================================================
--- src/southbridge/via/vt8235/vt8235_early_smbus.c	(revision 3942)
+++ src/southbridge/via/vt8235/vt8235_early_smbus.c	(working copy)
@@ -36,7 +36,7 @@
 				PCI_DEVICE_ID_VIA_8235), 0);
 	
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}		
 
 	// set IO base address to SMBUS_IO_BASE
@@ -91,7 +91,7 @@
 		while((c & 1) == 1) {
 			print_debug("c is ");
 			print_debug_hex8(c);
-			print_debug("\r\n");
+			print_debug("\n");
 			c = inb(SMBUS_IO_BASE + SMBHSTSTAT);
 			/* nop */ 
 		}
@@ -110,7 +110,7 @@
 	smbus_wait_until_ready();
 	print_debug("After reset status ");
 	print_debug_hex8( inb(SMBUS_IO_BASE + SMBHSTSTAT));
-	print_debug("\r\n");
+	print_debug("\n");
 }
   
 
@@ -137,21 +137,21 @@
 
 	print_err("smbus_error: ");
 	print_err_hex8(host_status_register);
-	print_err("\r\n");
+	print_err("\n");
 	if (host_status_register & (1 << 4)) {
-		print_err("Interrup/SMI# was Failed Bus Transaction\r\n");
+		print_err("Interrup/SMI# was Failed Bus Transaction\n");
 	}
 	if (host_status_register & (1 << 3)) {
-		print_err("Bus Error\r\n");
+		print_err("Bus Error\n");
 	}
 	if (host_status_register & (1 << 2)) {
-		print_err("Device Error\r\n");
+		print_err("Device Error\n");
 	}
 	if (host_status_register & (1 << 1)) {
-		print_err("Interrupt/SMI# was Successful Completion\r\n");
+		print_err("Interrupt/SMI# was Successful Completion\n");
 	}
 	if (host_status_register & (1 << 0)) {
-		print_err("Host Busy\r\n");
+		print_err("Host Busy\n");
 	}
 }
 
Index: src/southbridge/amd/cs5535/cs5535_early_setup.c
===================================================================
--- src/southbridge/amd/cs5535/cs5535_early_setup.c	(revision 3942)
+++ src/southbridge/amd/cs5535/cs5535_early_setup.c	(working copy)
@@ -167,16 +167,16 @@
 		print_debug("reboot from BIOS reset\n\r");
 		return;
 	}
-	print_debug("Setup idsel\r\n");
+	print_debug("Setup idsel\n");
 	cs5535_setup_idsel();
-	print_debug("Setup iobase\r\n");
+	print_debug("Setup iobase\n");
 	cs5535_usb_swapsif();
 	cs5535_setup_iobase();
-	print_debug("Setup gpio\r\n");
+	print_debug("Setup gpio\n");
 	cs5535_setup_gpio();
-	print_debug("Setup cis_mode\r\n");
+	print_debug("Setup cis_mode\n");
 	cs5535_setup_cis_mode();
-	print_debug("Setup smbus\r\n");
+	print_debug("Setup smbus\n");
 	cs5535_enable_smbus();
 	dummy();
 }
Index: src/southbridge/amd/cs5536/cs5536_early_setup.c
===================================================================
--- src/southbridge/amd/cs5536/cs5536_early_setup.c	(revision 3942)
+++ src/southbridge/amd/cs5536/cs5536_early_setup.c	(working copy)
@@ -210,15 +210,15 @@
 		//print_debug("reboot from BIOS reset\n\r");
 		return;
 	}
-	//print_debug("Setup idsel\r\n");
+	//print_debug("Setup idsel\n");
 	cs5536_setup_idsel();
-	//print_debug("Setup iobase\r\n");
+	//print_debug("Setup iobase\n");
 	cs5536_usb_swapsif();
 	cs5536_setup_iobase();
-	//print_debug("Setup gpio\r\n");
+	//print_debug("Setup gpio\n");
 	cs5536_setup_gpio();
-	//print_debug("Setup smbus\r\n");
+	//print_debug("Setup smbus\n");
 	cs5536_enable_smbus();
-	//print_debug("Setup power button\r\n");
+	//print_debug("Setup power button\n");
 	cs5536_setup_power_button();
 }
Index: src/southbridge/amd/cs5536/cs5536_early_smbus.c
===================================================================
--- src/southbridge/amd/cs5536/cs5536_early_smbus.c	(revision 3942)
+++ src/southbridge/amd/cs5536/cs5536_early_smbus.c	(working copy)
@@ -199,7 +199,7 @@
 	print_debug_hex8(error);
 	print_debug(" device:");
 	print_debug_hex8(device);
-	print_debug("\r\n");
+	print_debug("\n");
 	/* stop, clean up the error, and leave */
 	smbus_stop_condition(smbus_io_base);
 	outb(inb(smbus_io_base + SMB_STS), smbus_io_base + SMB_STS);
Index: src/southbridge/amd/sb600/sb600_early_setup.c
===================================================================
--- src/southbridge/amd/sb600/sb600_early_setup.c	(revision 3942)
+++ src/southbridge/amd/sb600/sb600_early_setup.c	(working copy)
@@ -44,7 +44,7 @@
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4385), 0);
 
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 		/* NOT REACHED */
 	}
 	return pci_read_config8(dev, 0x08);
@@ -286,10 +286,10 @@
 	dev = pci_locate_device(PCI_ID(0x1002, 0x4385), 0);
 
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 		/* NOT REACHED */
 	}
-	printk_info("SMBus controller enabled, sb revision is 0x%x\r\n",
+	printk_info("SMBus controller enabled, sb revision is 0x%x\n",
 		    get_sb600_revision());
 
 	/* sbPorAtStartOfTblCfg */
Index: src/southbridge/amd/amd8111/amd8111_early_smbus.c
===================================================================
--- src/southbridge/amd/amd8111/amd8111_early_smbus.c	(revision 3942)
+++ src/southbridge/amd/amd8111/amd8111_early_smbus.c	(working copy)
@@ -9,7 +9,7 @@
 
 	dev = pci_locate_device(PCI_ID(0x1022, 0x746b), 0);
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}
 
 	pci_write_config32(dev, 0x58, SMBUS_IO_BASE | 1);
@@ -23,7 +23,7 @@
 
 	/* clear any lingering errors, so the transaction will run */
 	outw(inw(SMBUS_IO_BASE + SMBGSTATUS), SMBUS_IO_BASE + SMBGSTATUS);
-	print_spew("SMBus controller enabled\r\n");
+	print_spew("SMBus controller enabled\n");
 }
 
 static int smbus_recv_byte(unsigned device)
Index: src/southbridge/broadcom/bcm5785/bcm5785_early_smbus.c
===================================================================
--- src/southbridge/broadcom/bcm5785/bcm5785_early_smbus.c	(revision 3942)
+++ src/southbridge/broadcom/bcm5785/bcm5785_early_smbus.c	(working copy)
@@ -13,10 +13,10 @@
 	dev = pci_locate_device(PCI_ID(0x1166, 0x0205), 0); // 0x0201?
 
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}
 	
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 	/* set smbus iobase */
 	pci_write_config32(dev, 0x90, SMBUS_IO_BASE | 1);
 	/* Set smbus iospace enable */ 
Index: src/southbridge/broadcom/bcm5785/bcm5785_sata.c
===================================================================
--- src/southbridge/broadcom/bcm5785/bcm5785_sata.c	(revision 3942)
+++ src/southbridge/broadcom/bcm5785/bcm5785_sata.c	(working copy)
@@ -53,13 +53,13 @@
 		for(i=0; i<4; i++) {
 			mmio = base + 0x100 * i; 
 			byte = readb(mmio + 0x40);
-			printk_debug("port %d PHY status = %02x\r\n", i, byte);
+			printk_debug("port %d PHY status = %02x\n", i, byte);
 			if(byte & 0x4) {// bit 2 is set
 				byte = readb(mmio+0x48);
 				writeb(byte | 1, mmio + 0x48);
 				writeb(byte & (~1), mmio + 0x48);
 	                        byte = readb(mmio + 0x40);
-	                        printk_debug("after reset port %d PHY status = %02x\r\n", i, byte);
+	                        printk_debug("after reset port %d PHY status = %02x\n", i, byte);
 			}
 		}
 		
Index: src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
===================================================================
--- src/southbridge/broadcom/bcm5785/bcm5785_lpc.c	(revision 3942)
+++ src/southbridge/broadcom/bcm5785/bcm5785_lpc.c	(working copy)
@@ -77,7 +77,7 @@
 					if(!(res->flags & IORESOURCE_IO)) continue;
 		        	        base = res->base;
                 			end = resource_end(res);
-					printk_debug("bcm5785lpc decode:%s, base=0x%08x, end=0x%08x\r\n",dev_path(child),base, end);
+					printk_debug("bcm5785lpc decode:%s, base=0x%08x, end=0x%08x\n",dev_path(child),base, end);
 					switch(base) {
 					case 0x60: //KBC
 					case 0x64:
Index: src/southbridge/nvidia/ck804/ck804_early_smbus.c
===================================================================
--- src/southbridge/nvidia/ck804/ck804_early_smbus.c	(revision 3942)
+++ src/southbridge/nvidia/ck804/ck804_early_smbus.c	(working copy)
@@ -12,9 +12,9 @@
 	device_t dev;
 	dev = pci_locate_device(PCI_ID(0x10de, 0x0052), 0);
 	if (dev == PCI_DEV_INVALID)
-		die("SMBus controller not found\r\n");
+		die("SMBus controller not found\n");
 
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 
 	/* Set SMBus I/O base. */
 	pci_write_config32(dev, 0x20, SMBUS_IO_BASE | 1);
Index: src/southbridge/nvidia/ck804/ck804_sata.c
===================================================================
--- src/southbridge/nvidia/ck804/ck804_sata.c	(revision 3942)
+++ src/southbridge/nvidia/ck804/ck804_sata.c	(working copy)
@@ -47,7 +47,7 @@
 		return;
 
 	dword = *(base + 0);
-	printk_debug("*(base+0)=%08x\r\n", dword);
+	printk_debug("*(base+0)=%08x\n", dword);
 	if (dword == 0x113) {
 		loop = 200000;	// 2
 		do {
@@ -56,11 +56,11 @@
 				break;
 			udelay(10);
 		} while (--loop > 0);
-		printk_debug("loop=%d, *(base+4)=%08x\r\n", loop, dword);
+		printk_debug("loop=%d, *(base+4)=%08x\n", loop, dword);
 	}
 
 	dword = *(base + 0x40);
-	printk_debug("*(base+0x40)=%08x\r\n", dword);
+	printk_debug("*(base+0x40)=%08x\n", dword);
 	if (dword == 0x113) {
 		loop = 200000;	//2
 		do {
@@ -69,7 +69,7 @@
 				break;
 			udelay(10);
 		} while (--loop > 0);
-		printk_debug("loop=%d, *(base+0x44)=%08x\r\n", loop, dword);
+		printk_debug("loop=%d, *(base+0x44)=%08x\n", loop, dword);
 	}
 }
 #endif
Index: src/southbridge/nvidia/ck804/ck804_lpc.c
===================================================================
--- src/southbridge/nvidia/ck804/ck804_lpc.c	(revision 3942)
+++ src/southbridge/nvidia/ck804/ck804_lpc.c	(working copy)
@@ -314,7 +314,7 @@
 						continue;
 					base = res->base;
 					end = resource_end(res);
-					printk_debug("ck804 lpc decode:%s, base=0x%08lx, end=0x%08lx\r\n", dev_path(child), base, end);
+					printk_debug("ck804 lpc decode:%s, base=0x%08lx, end=0x%08lx\n", dev_path(child), base, end);
 					switch (base) {
 					case 0x3f8:	// COM1
 						reg |= (1 << 0);
Index: src/southbridge/nvidia/mcp55/mcp55_early_smbus.c
===================================================================
--- src/southbridge/nvidia/mcp55/mcp55_early_smbus.c	(revision 3942)
+++ src/southbridge/nvidia/mcp55/mcp55_early_smbus.c	(working copy)
@@ -33,10 +33,10 @@
 	dev = pci_locate_device(PCI_ID(0x10de, 0x0368), 0);
 #if 0
 	if (dev == PCI_DEV_INVALID) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}
 
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 #endif
 	/* set smbus iobase */
 	pci_write_config32(dev, 0x20, SMBUS0_IO_BASE | 1);
Index: src/southbridge/nvidia/mcp55/mcp55_early_setup_car.c
===================================================================
--- src/southbridge/nvidia/mcp55/mcp55_early_setup_car.c	(revision 3942)
+++ src/southbridge/nvidia/mcp55/mcp55_early_setup_car.c	(working copy)
@@ -410,7 +410,7 @@
 	}
 
 out:
-	print_debug("mcp55_num:"); print_debug_hex8(mcp55_num); print_debug("\r\n");
+	print_debug("mcp55_num:"); print_debug_hex8(mcp55_num); print_debug("\n");
 
 	mcp55_early_set_port(mcp55_num, busn, devn, io_base);
 	mcp55_early_setup(mcp55_num, busn, devn, io_base, pci_e_x);
Index: src/southbridge/intel/i82801ca/i82801ca_early_smbus.c
===================================================================
--- src/southbridge/intel/i82801ca/i82801ca_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i82801ca/i82801ca_early_smbus.c	(working copy)
@@ -5,7 +5,7 @@
 {
 	device_t dev = PCI_DEV(0x0, 0x1f, 0x3);
 
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 	/* set smbus iobase */
 	pci_write_config32(dev, SMB_BASE, SMBUS_IO_BASE | PCI_BASE_ADDRESS_SPACE_IO);
 	/* Set smbus enable */
Index: src/southbridge/intel/esb6300/esb6300_early_smbus.c
===================================================================
--- src/southbridge/intel/esb6300/esb6300_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/esb6300/esb6300_early_smbus.c	(working copy)
@@ -6,7 +6,7 @@
 {
 	device_t dev = PCI_DEV(0x0, 0x1f, 0x3);
 
-	print_spew("SMBus controller enabled\r\n");
+	print_spew("SMBus controller enabled\n");
 	pci_write_config32(dev, 0x20, SMBUS_IO_BASE | 1);
 	pci_write_config8(dev, 0x40, 1);
 	pci_write_config8(dev, 0x4, 1);
@@ -92,7 +92,7 @@
 				SMBUS_IO_BASE + SMBHSTSTAT);
 	}
 
-	print_debug("SMBUS Block complete\r\n");
+	print_debug("SMBUS Block complete\n");
 	return 0;
 }
 
Index: src/southbridge/intel/i82801er/i82801er_watchdog.c
===================================================================
--- src/southbridge/intel/i82801er/i82801er_watchdog.c	(revision 3942)
+++ src/southbridge/intel/i82801er/i82801er_watchdog.c	(working copy)
@@ -23,6 +23,6 @@
         /* Clear TCO timeout status */
         outw(0x0008, base + 0x04);
         outw(0x0002, base + 0x06);
-        printk_debug("Watchdog ICH5 disabled\r\n");
+        printk_debug("Watchdog ICH5 disabled\n");
 }
 
Index: src/southbridge/intel/i82801er/i82801er_early_smbus.c
===================================================================
--- src/southbridge/intel/i82801er/i82801er_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i82801er/i82801er_early_smbus.c	(working copy)
@@ -6,7 +6,7 @@
 {
 	device_t dev = PCI_DEV(0x0, 0x1f, 0x3);
 
-	print_spew("SMBus controller enabled\r\n");
+	print_spew("SMBus controller enabled\n");
 
 	pci_write_config32(dev, 0x20, SMBUS_IO_BASE | 1);
 	/* Set smbus enable */
@@ -34,7 +34,7 @@
 		return;
 	}
 	
-	print_debug("Unimplemented smbus_write_byte() called.\r\n");
+	print_debug("Unimplemented smbus_write_byte() called.\n");
 
 #if 0
 	/* setup transaction */
@@ -124,7 +124,7 @@
 				SMBUS_IO_BASE + SMBHSTSTAT);
 	}
 
-	print_debug("SMBUS Block complete\r\n");
+	print_debug("SMBUS Block complete\n");
 	return 0;
 }
 
Index: src/southbridge/intel/i82371eb/i82371eb_early_smbus.c
===================================================================
--- src/southbridge/intel/i82371eb/i82371eb_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i82371eb/i82371eb_early_smbus.c	(working copy)
@@ -38,9 +38,9 @@
 				PCI_DEVICE_ID_INTEL_82371AB_SMB_ACPI), 0);
 
 	if (dev == PCI_DEV_INVALID)
-		die("SMBus controller not found\r\n");
+		die("SMBus controller not found\n");
 
-	print_spew("SMBus controller enabled\r\n");
+	print_spew("SMBus controller enabled\n");
 
 	/* Set the SMBus I/O base. */
 	pci_write_config32(dev, SMBBA, SMBUS_IO_BASE | 1);
Index: src/southbridge/intel/i82801gx/i82801gx_early_smbus.c
===================================================================
--- src/southbridge/intel/i82801gx/i82801gx_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i82801gx/i82801gx_early_smbus.c	(working copy)
@@ -49,7 +49,7 @@
 
 	/* Clear any lingering errors, so transactions can run. */
 	outb(inb(SMBUS_IO_BASE + SMBHSTSTAT), SMBUS_IO_BASE + SMBHSTSTAT);
-	print_debug("SMBus controller enabled.\r\n");
+	print_debug("SMBus controller enabled.\n");
 }
 
 static inline int smbus_read_byte(unsigned device, unsigned address)
Index: src/southbridge/intel/i82801gx/i82801gx_watchdog.c
===================================================================
--- src/southbridge/intel/i82801gx/i82801gx_watchdog.c	(revision 3942)
+++ src/southbridge/intel/i82801gx/i82801gx_watchdog.c	(working copy)
@@ -48,5 +48,5 @@
 	outw(0x0008, base + 0x04);
 	outw(0x0002, base + 0x06);
 
-	printk_debug("ICH7 watchdog disabled\r\n");
+	printk_debug("ICH7 watchdog disabled\n");
 }
Index: src/southbridge/intel/i82801xx/i82801xx_early_smbus.c
===================================================================
--- src/southbridge/intel/i82801xx/i82801xx_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i82801xx/i82801xx_early_smbus.c	(working copy)
@@ -58,7 +58,7 @@
 	/* Clear any lingering errors, so transactions can run. */
 	outb(inb(SMBUS_IO_BASE + SMBHSTSTAT), SMBUS_IO_BASE + SMBHSTSTAT);
 
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 }
 
 static inline int smbus_read_byte(unsigned device, unsigned address)
@@ -69,7 +69,7 @@
 static void smbus_write_byte(unsigned device, unsigned address,
 			     unsigned char val)
 {
-	print_err("Unimplemented smbus_write_byte() called\r\n");
+	print_err("Unimplemented smbus_write_byte() called\n");
 	return;
 }
 
Index: src/southbridge/intel/i82801xx/i82801xx_watchdog.c
===================================================================
--- src/southbridge/intel/i82801xx/i82801xx_watchdog.c	(revision 3942)
+++ src/southbridge/intel/i82801xx/i82801xx_watchdog.c	(working copy)
@@ -50,5 +50,5 @@
 	outw(0x0008, base + 0x04);
 	outw(0x0002, base + 0x06);
 
-	printk_debug("ICH Watchdog disabled\r\n");
+	printk_debug("ICH Watchdog disabled\n");
 }
Index: src/southbridge/intel/i3100/i3100_early_smbus.c
===================================================================
--- src/southbridge/intel/i3100/i3100_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i3100/i3100_early_smbus.c	(working copy)
@@ -26,7 +26,7 @@
 {
 	device_t dev = PCI_DEV(0x0, 0x1f, 0x3);
 
-	print_spew("SMBus controller enabled\r\n");
+	print_spew("SMBus controller enabled\n");
 	pci_write_config32(dev, 0x20, SMBUS_IO_BASE | 1);
 	pci_write_config8(dev, 0x40, 1);
 	pci_write_config8(dev, 0x4, 1);
Index: src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c
===================================================================
--- src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c	(revision 3942)
+++ src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c	(working copy)
@@ -23,7 +23,7 @@
 {
 	device_t dev = PCI_DEV(0x0, 0x1f, 0x3);
 
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 	/* set smbus iobase */
 	pci_write_config32(dev, 0x20, SMBUS_IO_BASE | 1);
 	/* Set smbus enable */
@@ -101,7 +101,7 @@
 	unsigned char global_status_register;
 	unsigned char byte;
 
-	/*print_err("smbus_read_byte\r\n");*/
+	/*print_err("smbus_read_byte\n");*/
 	if (smbus_wait_until_ready() < 0) {
 		print_err_hex8(-2);
 		return -2;
@@ -149,7 +149,7 @@
 /*
         print_err("smbus_read_byte: ");
 	print_err_hex32(device); print_err(" ad "); print_err_hex32(address);
-	print_err("value "); print_err_hex8(byte); print_err("\r\n");
+	print_err("value "); print_err_hex8(byte); print_err("\n");
  */
 	return byte;
 }
Index: src/southbridge/sis/sis966/sis966_aza.c
===================================================================
--- src/southbridge/sis/sis966/sis966_aza.c	(revision 3942)
+++ src/southbridge/sis/sis966/sis966_aza.c	(working copy)
@@ -277,14 +277,14 @@
 
         for(i=0;i<0xff;i+=4){
                 if((i%16)==0){
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 print_debug_hex32(pci_read_config32(dev,i));
                 print_debug("  ");
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 #endif
 
Index: src/southbridge/sis/sis966/sis966_usb2.c
===================================================================
--- src/southbridge/sis/sis966/sis966_usb2.c	(revision 3942)
+++ src/southbridge/sis/sis966/sis966_usb2.c	(working copy)
@@ -108,14 +108,14 @@
 
         for(i=0;i<0xff;i+=4){
                 if((i%16)==0){
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 print_debug_hex32(pci_read_config32(dev,i));
                 print_debug("  ");
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 #endif
         print_debug("USB 2.0 INIT:<----------\n");
Index: src/southbridge/sis/sis966/sis966_sata.c
===================================================================
--- src/southbridge/sis/sis966/sis966_sata.c	(revision 3942)
+++ src/southbridge/sis/sis966/sis966_sata.c	(working copy)
@@ -156,14 +156,14 @@
 
         for(i=0;i<0xff;i+=4){
                 if((i%16)==0){
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 print_debug_hex32(pci_read_config32(dev,i));
                 print_debug("  ");
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 #endif
 
Index: src/southbridge/sis/sis966/sis966_usb.c
===================================================================
--- src/southbridge/sis/sis966/sis966_usb.c	(revision 3942)
+++ src/southbridge/sis/sis966/sis966_usb.c	(working copy)
@@ -81,14 +81,14 @@
 
         for(i=0;i<0xff;i+=4){
                 if((i%16)==0){
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 print_debug_hex32(pci_read_config32(dev,i));
                 print_debug("  ");
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 #endif
         print_debug("USB 1.1 INIT:<----------\n");
Index: src/southbridge/sis/sis966/sis966_ide.c
===================================================================
--- src/southbridge/sis/sis966/sis966_ide.c	(revision 3942)
+++ src/southbridge/sis/sis966/sis966_ide.c	(working copy)
@@ -156,14 +156,14 @@
 
         for(i=0;i<0xff;i+=4){
                 if((i%16)==0){
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 print_debug_hex32(pci_read_config32(dev,i));
                 print_debug("  ");
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 #endif
 print_debug("IDE_INIT:<----------\n");
Index: src/southbridge/sis/sis966/sis966_nic.c
===================================================================
--- src/southbridge/sis/sis966/sis966_nic.c	(revision 3942)
+++ src/southbridge/sis/sis966/sis966_nic.c	(working copy)
@@ -270,7 +270,7 @@
 
 	if(!res)
 	{
-		printk_debug("NIC Cannot find resource..\r\n");
+		printk_debug("NIC Cannot find resource..\n");
 		return;
 	}
 	base = res->base;
@@ -278,7 +278,7 @@
 
 	if(!(val=phy_detect(base,&PhyAddr)))
 	{
-	       printk_debug("PHY detect fail !!!!\r\n");
+	       printk_debug("PHY detect fail !!!!\n");
 		return;
 	}
 
@@ -321,14 +321,14 @@
 
         for(i=0;i<0xff;i+=4){
                 if((i%16)==0){
-                        print_debug("\r\n");
+                        print_debug("\n");
                         print_debug_hex8(i);
                         print_debug(": ");
                 }
                 print_debug_hex32(pci_read_config32(dev,i));
                 print_debug("  ");
         }
-        print_debug("\r\n");
+        print_debug("\n");
 }
 
 
Index: src/ram/ramtest.c
===================================================================
--- src/ram/ramtest.c	(revision 3942)
+++ src/ram/ramtest.c	(working copy)
@@ -30,13 +30,13 @@
 	 * Fill.
 	 */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk_debug("DRAM fill: 0x%08x-0x%08x\r\n", start, stop);
+	printk_debug("DRAM fill: 0x%08x-0x%08x\n", start, stop);
 #else
 	print_debug("DRAM fill: ");
 	print_debug_hex32(start);
 	print_debug("-");
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	for(addr = start; addr < stop ; addr += 4) {
 		/* Display address being filled */
@@ -52,10 +52,10 @@
 	};
 	/* Display final address */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk_debug("%08x\r\nDRAM filled\r\n", addr);
+	printk_debug("%08x\nDRAM filled\n", addr);
 #else
 	print_debug_hex32(addr);
-	print_debug("\r\nDRAM filled\r\n");
+	print_debug("\nDRAM filled\n");
 #endif
 }
 
@@ -67,13 +67,13 @@
 	 * Verify.
 	 */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk_debug("DRAM verify: 0x%08x-0x%08x\r\n", start, stop);
+	printk_debug("DRAM verify: 0x%08x-0x%08x\n", start, stop);
 #else
 	print_debug("DRAM verify: ");
 	print_debug_hex32(start);
 	print_debug_char('-');
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	for(addr = start; addr < stop ; addr += 4) {
 		unsigned long value;
@@ -90,13 +90,13 @@
 		if (value != addr) {
 			/* Display address with error */
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk_err("Fail: @0x%08x Read value=0x%08x\r\n", addr, value);
+			printk_err("Fail: @0x%08x Read value=0x%08x\n", addr, value);
 #else
 			print_err("Fail: @0x");
 			print_err_hex32(addr);
 			print_err(" Read value=0x");
 			print_err_hex32(value);
-			print_err("\r\n");
+			print_err("\n");
 #endif
 			i++;
 			if(i>256) {
@@ -118,17 +118,17 @@
 
 	if (i) {
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("\r\nDRAM did _NOT_ verify!\r\n");
+		printk_debug("\nDRAM did _NOT_ verify!\n");
 #else
-		print_debug("\r\nDRAM did _NOT_ verify!\r\n");
+		print_debug("\nDRAM did _NOT_ verify!\n");
 #endif
 		die("DRAM ERROR");
 	}
 	else {
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("\r\nDRAM range verified.\r\n");
+		printk_debug("\nDRAM range verified.\n");
 #else
-		print_debug("\r\nDRAM range verified.\r\n");
+		print_debug("\nDRAM range verified.\n");
 #endif
 	}
 }
@@ -142,20 +142,20 @@
 	 * are tested.   -Tyson
 	 */
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk_debug("Testing DRAM : %08x - %08x\r\n", start, stop);
+	printk_debug("Testing DRAM : %08x - %08x\n", start, stop);
 #else
 	print_debug("Testing DRAM : ");
 	print_debug_hex32(start);
 	print_debug("-");	
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	ram_fill(start, stop);
 	ram_verify(start, stop);
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk_debug("Done.\r\n");
+	printk_debug("Done.\n");
 #else
-	print_debug("Done.\r\n");
+	print_debug("Done.\n");
 #endif
 }
 
